function a = reallog(b)
%REALLOG Real logarithm.
%	REALLOG(X) requires X to have real, nonnegative elements.
%	See also REALSQRT, REALPOW.

a = log(b);
if( any(any(imag(a))) ),
	error( 'reallog produces complex result' );
end
